// To parse this JSON data, do
//
//     final chatUnreadCovnCountModel = chatUnreadCovnCountModelFromMap(jsonString);

import 'dart:convert';

class ChatUnreadCovnCountModel {
  ChatUnreadCovnCountModel({
    this.singleChatCount,
    this.groupChatCount,
  });

  int? singleChatCount;
  int? groupChatCount;

  factory ChatUnreadCovnCountModel.fromJson(String str) => ChatUnreadCovnCountModel.fromMap(json.decode(str));

  String toJson() => json.encode(toMap());

  factory ChatUnreadCovnCountModel.fromMap(Map<String, dynamic> json) => ChatUnreadCovnCountModel(
    singleChatCount: json["singleChatCount"] == null ? null : json["singleChatCount"],
    groupChatCount: json["groupChatCount"] == null ? null : json["groupChatCount"],
  );

  Map<String, dynamic> toMap() => {
    "singleChatCount": singleChatCount == null ? null : singleChatCount,
    "groupChatCount": groupChatCount == null ? null : groupChatCount,
  };
}
